% Matlab Exercise M1-1 a)
% Numerical Integration using function 'sum'

clear all

N = 2.^(5:15); % Define the data number

for n=1:length(N)
    
 dx(n) = 2*pi/N(n);% Step size
 x = -pi:dx(n):pi; % Integration range
 y = cos(x);    % 
 area_y(n) = dx(n)*sum(y); % Integration result
 
end

figure(1)
subplot 211
plot(N,area_y,'-o') % plot the integration result as a function of N
xlabel('Data number, N'), ylabel('Integration Result')
subplot 212
plot(dx,area_y,'-*') % plot the integration result as a function of dx
xlabel('1/dx'), ylabel('Integration Result')
